<?xml version="1.0"?>

<cfsSimulation xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns="http://www.cfs++.org/simulation">

  <fileFormats>
    <input>
      <hdf5 fileName="mesh.h5"/>
    </input>
    <output>
      <hdf5/>
    </output>
    <materialData file="mat.xml" format="xml"/>
  </fileFormats>
  
  <domain geometryType="plane">
    <variableList>
      <var name="loc" value="0.1"/> <!-- location of source -->
    </variableList>
    <regionList>
      <region name="linear" material="air"/>
      <region name="mapping" material="air"/>
    </regionList>
    <surfRegionList>
      <surfRegion name="error"/>
    </surfRegionList>
    <nodeList>
      <nodes name="testp">
        <coord x="0.0" y="loc"/>
      </nodes>
      <nodes name="testm">
        <coord x="0.0" y="-loc"/>
      </nodes>
      <nodes name="fix1">
        <coord x="1.5" y="1.5"/>
      </nodes>
    </nodeList>
  </domain>

  <fePolynomialList>
    <Lagrange id="default">
      <isoOrder serendipity="false">1</isoOrder>
    </Lagrange>
  </fePolynomialList>
  
 
  <sequenceStep>
    <analysis>
      <transient>
        <numSteps>2</numSteps>
        <deltaT>0.2</deltaT>
      </transient>
    </analysis>
    
    <pdeList>
      <split>
        <regionList>
          <region name="linear"/>
          <region name="mapping" dampingId="myMAP"/>
        </regionList>
        
        <dampingList>
          <mapping  id="myMAP">
            <type>tangens</type>
            <dampFactor>1</dampFactor>
          </mapping>
        </dampingList>
        
        <bcsAndLoads>
          <homDir name="fix1"/>
          <rhsValues value="2*pi" name="testp"/>
          <rhsValues value="-2*pi" name="testm"/>
        </bcsAndLoads>

        <storeResults>
          <nodeResult type="splitScalar"> 
            <allRegions/>
          </nodeResult>
        </storeResults>
      </split>
    </pdeList>
    
    <linearSystems>
      <system>
        <solverList>
          <directLU/>
        </solverList>
      </system>
    </linearSystems>
  
  </sequenceStep>
</cfsSimulation>
